
TYPO3.Flow - Bug # 46974

Status: Accepted Priority: Should have
Author: Christian Müller Category: Object
Created: 2013-04-06 Assigned To: Christian Müller
Updated: 2013-05-21 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: Original and Proxy class in one file makes it difficult to reach 100% code coverage for functional tests
Description

If we decide to fix it we could compile two files as before in Testing context(s) and keep the new behavior for Development and
Production.

History
#1 - 2013-04-08 19:39 - Christian Müller
- Status changed from New to Needs Feedback

it should be enough to use:

http://www.phpunit.de/manual/3.4/en/code-coverage-analysis.html -> Ignoring Code Blocks

#2 - 2013-05-21 13:20 - Robert Lemke
- Category set to Object
- Target version set to 2.1

#3 - 2013-05-21 13:20 - Robert Lemke
- Status changed from Needs Feedback to Accepted

#4 - 2013-05-21 13:28 - Robert Lemke
- Target version deleted (2.1)
